#include <algorithm>
#include <iomanip>
#include <ios>
#include <string>
#include <vector>
#include <stdexcept>
#include<iostream>
using std::cin;             
using std::cout;	using std::out_of_range;
using std::endl;	using std::string;
using std::vector;	using std::runtime_error;		
typedef vector<string>::size_type vecsize;	    
vecsize get_index(const vector<string>& v);


int main()
{
	cout<<"Please enter your words. "<<
		"Enter 666 to stop: ";
	string word;
	vector<string> words;
	cin>>word;
	while(word!="666" && cin)
	{
		words.push_back(word);
		cin>>word;
	}
	vecsize which;
	try
	{
	which=get_index(words);
	}
	catch(runtime_error f)
	{
		cout<<endl<<f.what()<<" Sorry.\n";
		return 0;
	}
	catch (out_of_range e)
	{
		cout<<endl<<e.what()<<" So never mind!\n";
		return 0;
	}
	cout<<"You chose to view "<<words[which]<<".\n";
	return 0;
}


vecsize get_index(const vector<string>& v)
{
	vecsize index;
	cout<<"Please enter the index of the value you wish to review:";
	if(!(cin>>index))
		throw runtime_error("Unable to read from cin.");
	if(index>=v.size())
		throw out_of_range("The index is out of range.");
	return index;
}
       	

